<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'util.php';

class TipoTelefone extends Doctrine_Record
{
	const RESIDENCIAL = 1;
	const CELULAR = 2;
	const RECADO = 3;
	const TRABALHO = 4;

	function setTableDefinition()
	{
		$this->setTableName('saude.tipo_telefone');
		$this->hasColumn('id','integer', NULL, array('primary'));
		$this->hasColumn('nome','string', 30, array('notnull','notblank'));
	}

	function validate()
	{
		trim_string_columns($this);

		$erros = array();

		if(!$this->nome)
			$erros[] = 'A descrição do tipo de telefone deve ser informada';

		if($erros)
			throw new Exception(implode("\n",$erros));
	}
};

?>
